Bug 1418992 - CVE-2016-10166 CVE-2016-10167 CVE-2016-10168 CVE-2016-6912 CVE-2016-9317 libwmf: various flaws [fedora-all]
Summary: CVE-2016-10166 CVE-2016-10167 CVE-2016-10168 CVE-2016-6912 CVE-2016-9317 libw...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libwmf
Version: 25
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-6912 CVE-2016-9317 CVE-2016-10166 CVE-2016-10167 CVE-2016-10168
TreeView+ depends on / blocked
 
Reported: 2017-02-03 11:31 UTC by Adam Mariš
Modified: 2017-03-13 23:49 UTC (History)
1 user (show)

Fixed In Version: libwmf-0.2.8.4-50.fc25 libwmf-0.2.8.4-50.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 14:21:30 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-02-03 11:31:48 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2017-02-03 11:31:55 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1417977,1417987,1418983,1418984,1418986,1418992

# Description of your update
notes=Security fix for CVE-2016-6912, CVE-2016-9317, CVE-2016-10166, CVE-2016-10167, CVE-2016-10168

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Caolan McNamara 2017-02-08 14:45:28 UTC
CVE-2016-6912 doesn't affect the old fork/copy of gd in libwmf because gdImageWebpCtx doesn't exist there.

Comment 3 Caolan McNamara 2017-02-08 14:55:31 UTC
CVE-2016-9317 is relevant, now backported

Comment 4 Caolan McNamara 2017-02-08 14:57:31 UTC
CVE-2016-10166 doesn't affect the old fork/copy of gd in libwmf because gdContributionsAlloc doesn't exist there.

Comment 5 Caolan McNamara 2017-02-08 15:06:05 UTC
CVE-2016-10167 is relevant, now backported

Comment 6 Caolan McNamara 2017-02-08 15:12:18 UTC
CVE-2016-10168 is relevant, now backported

Comment 7 Fedora Update System 2017-02-08 15:37:05 UTC
libwmf-0.2.8.4-50.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f787c35494

Comment 8 Fedora Update System 2017-02-08 15:37:10 UTC
libwmf-0.2.8.4-50.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a5b89363f

Comment 9 Fedora Update System 2017-02-09 21:51:59 UTC
libwmf-0.2.8.4-50.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a5b89363f

Comment 10 Fedora Update System 2017-02-09 22:21:12 UTC
libwmf-0.2.8.4-50.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f787c35494

Comment 11 Fedora Update System 2017-02-10 14:21:30 UTC
libwmf-0.2.8.4-50.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-03-13 23:49:51 UTC
libwmf-0.2.8.4-50.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.